body {
	font-family: monospace;
	font-size: 16px;
	padding: none;
	margin: 0;
}

html {
	scroll-behavior: smooth;
}

#navbar {
	display: flex;
	justify-content: flex-end;
	align-items: center;
	background-color: rgb(79, 24, 40);
	height: 6vh;
	position: fixed;
	width: 100vw;
	box-shadow: 3px 3px 5px rgba(61, 15, 3, 0.725);
}

.nav-link {
	color: rgb(164, 164, 144);
	padding: 2vw;
	font-size: 20px;
	text-decoration: none;
	transition: 300ms linear;
}

.nav-link:hover {
	color: rgb(225, 230, 230);
	text-decoration: none;
	transition: 300ms linear;
}

@keyframes nav-link {
	0% {
		color: rgb(164, 164, 144);
		text-decoration: none;
	}

	33% {
		color: rgb(196, 196, 179);
		text-decoration: none;
	}

	66% {
		color: rgb(200, 212, 212);
		text-decoration: none;
	}

	100% {
		color: rgb(225, 230, 230);
		text-decoration: none;
	}
}

#welcome-section {
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: 40px;
	color: rgb(164, 164, 144);
	background: linear-gradient(rgb(66, 66, 66), rgb(33, 51, 82));
	height: 100vh;
}

#projects {
	display: flex;
	flex-direction: column;
	font-size: 18px;
	color: rgb(164, 164, 144);
	background: linear-gradient(rgb(33, 51, 82), rgb(66, 66, 66));
	height: 100vh;
	align-items: center;
	justify-content: center;
}

.project-stack {
	display: flex;
	flex-direction: row;
	justify-content: space-around;
	border-radius: 1vw;
	background: rgba(157, 157, 157, 0.1);
	box-shadow: 5px 5px 5px rgba(26, 25, 25, 0.322);
}

.project-img {
	height: auto;
	width: 10vw;
	margin-bottom: 1vw;
	align-items: center;
	justify-content: center;
}

.project-tile {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	text-align: center;
	color: rgb(215, 215, 179);
	text-decoration: none;
	font-size: 14px;
	background-color: rgb(12, 65, 65);
	width: 10vw;
	height: 7vw;
	padding: 2vw;
	border-radius: 1vh;
	margin: 3vh;
	box-shadow: 5px 5px 5px rgba(6, 33, 33, 0.585);
}

#contact {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	font-size: 40px;
	color: white;
	background: linear-gradient(rgb(66, 66, 66), rgb(26, 65, 65));
	height: 100vh;
}

h2 {
	display: flex;
	margin-top: 6vh;
	font-size: 30px;
}

h3 {
	display: flex;
	margin-top: 4vh;
	font-size: 22px;
}

.social-link {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: row;
	font-size: 18px;
}

.link-img {
	justify-content: center;
	margin-right: 0.5vw;
	align-items: center;
	flex-direction: row;
	height: 30px;
}

a {
	display: flex;
	text-decoration: none;
	color: white;
	flex-direction: row;
}

/* --------- TABLET VIEW ------------ */

@media screen and (max-width: 1030px) {
	h2 {
		margin-top: 5vh;
		font-size: 30px;
	}

	h3 {
		margin-top: 3vh;
		font-size: 22px;
	}

	.project-stack {
		display: grid;
		grid-template-columns: 20vw 20vw 20vw 20vw;
		grid-template-rows: 15vh;
		height: 33vh;
		
	}

	.project-tile {
		font-size: 11px;
		width: 4vw;
		height: 2vw;
		padding: 5vw;
	}

	.project-img {
		width: 9vw;
		margin-bottom: 0.5vw;
		align-items: center;
		justify-content: center;
	}
}

/* --------- SMARTPHONE VIEW ------------ */


@media screen and (max-width: 650px) {

	.nav-link {
		font-size: 14px;
	}

	#welcome-section {
		font-size: 25px;
	}

	#projects {
		display: flex;
		font-size: 18px;
		color: rgb(164, 164, 144);
		height: 100vh;
		align-items: center;
		justify-content: center;
	}

	h2 {
		display: flex;
		margin-top: 2vh;
	}

	h3 {
		display: flex;
		margin-top: 2vh;
	}

	.project-stack {
		display: grid;
		grid-template-columns: 30vw 30vw 30vw;
		grid-template-rows: 15vh 15vh;
		width: auto;
	}

	.project-tile {
		width: 15vw;
		height: 13vw;
		padding: 2vw;
		font-size: 9px;
	}

	.project-img {
		width: 12vw;
		height: auto;
	}

	#contact {
		font-size: 20px;
	}

	.social-link {
		font-size: 12px;
	}
}
